Package org.springframework.security.config.annotation.web.configurers

# Class ExpressionUrlAuthorizationConfigurer.ExpressionInterceptUrlRegistry

java.lang.Object
org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry<C>
org.springframework.security.config.annotation.web.configurers.AbstractConfigAttributeRequestMatcherRegistry<T>
AbstractInterceptUrlConfigurer<ExpressionUrlAuthorizationConfigurer<H>,H>.AbstractInterceptUrlRegistry<ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry,ExpressionUrlAuthorizationConfigurer<H>.AuthorizedUrl>
org.springframework.security.config.annotation.web.configurers.ExpressionUrlAuthorizationConfigurer.ExpressionInterceptUrlRegistry

Enclosing class:
  ExpressionUrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>>

public final class ExpressionUrlAuthorizationConfigurer.ExpressionInterceptUrlRegistry extends AbstractInterceptUrlConfigurer<ExpressionUrlAuthorizationConfigurer<H>,H>.AbstractInterceptUrlRegistry<ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry,ExpressionUrlAuthorizationConfigurer<H>.AuthorizedUrl>

## Method Summary

Modifier and Type
Method
Description
`H`
`and()`
`protected ExpressionUrlAuthorizationConfigurer<H>.AuthorizedUrl`
`chainRequestMatchersInternal(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)`
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.
`ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry`
`expressionHandler(org.springframework.security.access.expression.SecurityExpressionHandler<org.springframework.security.web.FilterInvocation> expressionHandler)`
Allows customization of the `SecurityExpressionHandler` to be used.
`ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry`
`withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)`
Deprecated, for removal: This API element is subject to removal in a future version.
`ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry`
`withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)`
Adds an `ObjectPostProcessor` for this class.

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractInterceptUrlConfigurer.AbstractInterceptUrlRegistry

`accessDecisionManager, filterSecurityInterceptorOncePerRequest`

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractConfigAttributeRequestMatcherRegistry

`chainRequestMatchers`

### Methods inherited from class org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry

`anyRequest, createMvcMatchers, dispatcherTypeMatchers, dispatcherTypeMatchers, getApplicationContext, requestMatchers, requestMatchers, requestMatchers, requestMatchers, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### chainRequestMatchersInternal

protected ExpressionUrlAuthorizationConfigurer<H>.AuthorizedUrl chainRequestMatchersInternal(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)
Description copied from class: `AbstractConfigAttributeRequestMatcherRegistry`
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.

Specified by:
  `chainRequestMatchersInternal` in class `AbstractConfigAttributeRequestMatcherRegistry<ExpressionUrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>>.AuthorizedUrl>`
Parameters:
  `requestMatchers` - the `RequestMatcher` instances that were created
Returns:
  the chained Object for the subclass which allows association of something else to the `RequestMatcher`

### expressionHandler

public ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry expressionHandler(org.springframework.security.access.expression.SecurityExpressionHandler<org.springframework.security.web.FilterInvocation> expressionHandler)
Allows customization of the `SecurityExpressionHandler` to be used. The default is `DefaultWebSecurityExpressionHandler`

Parameters:
  `expressionHandler` - the `SecurityExpressionHandler` to be used
Returns:
  the `ExpressionUrlAuthorizationConfigurer` for further customization.

### withObjectPostProcessor

public ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)
Adds an `ObjectPostProcessor` for this class.

Parameters:
  `objectPostProcessor` -
Returns:
  the `ExpressionUrlAuthorizationConfigurer` for further customizations

### withObjectPostProcessor

@Deprecated(since="6.4", forRemoval=true) public ExpressionUrlAuthorizationConfigurer<H>.ExpressionInterceptUrlRegistry withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)
Deprecated, for removal: This API element is subject to removal in a future version.

### and

public H and()